RelayAPI

Replace the automation's graph

PUT
/v1/automations/{id}/graph
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/automations/string/graph" \  -H "Content-Type: application/json" \  -d '{    "graph": {      "schema_version": 1,      "root_node_key": "string",      "nodes": [        {          "key": "string",          "kind": "string"        }      ],      "edges": [        {          "from_node": "string",          "from_port": "string",          "to_node": "string",          "to_port": "string"        }      ]    }  }'
{  "graph": {    "schema_version": 1,    "root_node_key": "string",    "nodes": [      {        "key": "string",        "kind": "string",        "title": "string",        "canvas_x": 0,        "canvas_y": 0,        "config": {},        "ports": [],        "ui_state": {          "property1": null,          "property2": null        }      }    ],    "edges": [      {        "from_node": "string",        "from_port": "string",        "to_node": "string",        "to_port": "string",        "order_index": 0,        "metadata": {          "property1": null,          "property2": null        }      }    ]  },  "validation": {    "valid": true,    "errors": [],    "warnings": []  },  "automation": {    "status": "draft",    "validation_errors": [      null    ]  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "graph": {    "schema_version": 1,    "root_node_key": "string",    "nodes": [      {        "key": "string",        "kind": "string",        "title": "string",        "canvas_x": 0,        "canvas_y": 0,        "config": {},        "ports": [],        "ui_state": {          "property1": null,          "property2": null        }      }    ],    "edges": [      {        "from_node": "string",        "from_port": "string",        "to_node": "string",        "to_port": "string",        "order_index": 0,        "metadata": {          "property1": null,          "property2": null        }      }    ]  },  "validation": {    "valid": true,    "errors": [],    "warnings": []  },  "automation": {    "status": "draft",    "validation_errors": [      null    ]  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo